pragma Style_Checks (Off);

with Interfaces.C; use Interfaces.C;
with System;
with Interfaces.C.Strings;
limited with dbus_errors_h;
with dbus_types_h;
with dbus_arch_deps_h;

package dbus_server_h is

   --  skipped empty struct DBusServer

   type DBusNewConnectionFunction is access procedure
        (arg1 : System.Address;
         arg2 : System.Address;
         arg3 : System.Address);  -- ../dbus/dbus-server.h:47:17

   function dbus_server_listen (arg1 : Interfaces.C.Strings.chars_ptr; arg2 : access dbus_errors_h.DBusError) return System.Address;  -- ../dbus/dbus-server.h:51:13
   pragma Import (C, dbus_server_listen, "dbus_server_listen");

   function dbus_server_ref (arg1 : System.Address) return System.Address;  -- ../dbus/dbus-server.h:53:13
   pragma Import (C, dbus_server_ref, "dbus_server_ref");

   procedure dbus_server_unref (arg1 : System.Address);  -- ../dbus/dbus-server.h:54:13
   pragma Import (C, dbus_server_unref, "dbus_server_unref");

   procedure dbus_server_disconnect (arg1 : System.Address);  -- ../dbus/dbus-server.h:55:13
   pragma Import (C, dbus_server_disconnect, "dbus_server_disconnect");

   function dbus_server_get_is_connected (arg1 : System.Address) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:56:13
   pragma Import (C, dbus_server_get_is_connected, "dbus_server_get_is_connected");

   function dbus_server_get_address (arg1 : System.Address) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-server.h:57:13
   pragma Import (C, dbus_server_get_address, "dbus_server_get_address");

   function dbus_server_get_id (arg1 : System.Address) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-server.h:58:13
   pragma Import (C, dbus_server_get_id, "dbus_server_get_id");

   procedure dbus_server_set_new_connection_function
     (arg1 : System.Address;
      arg2 : access procedure
        (arg1 : System.Address;
         arg2 : System.Address;
         arg3 : System.Address);
      arg3 : System.Address;
      arg4 : access procedure (arg1 : System.Address));  -- ../dbus/dbus-server.h:59:13
   pragma Import (C, dbus_server_set_new_connection_function, "dbus_server_set_new_connection_function");

   function dbus_server_set_watch_functions
     (arg1 : System.Address;
      arg2 : access function (arg1 : System.Address; arg2 : System.Address) return dbus_types_h.dbus_bool_t;
      arg3 : access procedure (arg1 : System.Address; arg2 : System.Address);
      arg4 : access procedure (arg1 : System.Address; arg2 : System.Address);
      arg5 : System.Address;
      arg6 : access procedure (arg1 : System.Address)) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:63:13
   pragma Import (C, dbus_server_set_watch_functions, "dbus_server_set_watch_functions");

   function dbus_server_set_timeout_functions
     (arg1 : System.Address;
      arg2 : access function (arg1 : System.Address; arg2 : System.Address) return dbus_types_h.dbus_bool_t;
      arg3 : access procedure (arg1 : System.Address; arg2 : System.Address);
      arg4 : access procedure (arg1 : System.Address; arg2 : System.Address);
      arg5 : System.Address;
      arg6 : access procedure (arg1 : System.Address)) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:69:13
   pragma Import (C, dbus_server_set_timeout_functions, "dbus_server_set_timeout_functions");

   function dbus_server_set_auth_mechanisms (arg1 : System.Address; arg2 : System.Address) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:75:13
   pragma Import (C, dbus_server_set_auth_mechanisms, "dbus_server_set_auth_mechanisms");

   function dbus_server_allocate_data_slot (arg1 : access dbus_arch_deps_h.dbus_int32_t) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:78:13
   pragma Import (C, dbus_server_allocate_data_slot, "dbus_server_allocate_data_slot");

   procedure dbus_server_free_data_slot (arg1 : access dbus_arch_deps_h.dbus_int32_t);  -- ../dbus/dbus-server.h:79:13
   pragma Import (C, dbus_server_free_data_slot, "dbus_server_free_data_slot");

   function dbus_server_set_data
     (arg1 : System.Address;
      arg2 : int;
      arg3 : System.Address;
      arg4 : access procedure (arg1 : System.Address)) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-server.h:80:13
   pragma Import (C, dbus_server_set_data, "dbus_server_set_data");

   function dbus_server_get_data (arg1 : System.Address; arg2 : int) return System.Address;  -- ../dbus/dbus-server.h:84:13
   pragma Import (C, dbus_server_get_data, "dbus_server_get_data");

end dbus_server_h;
